Bug 174074 - Firstboot setup display problem
Firstboot setup display problem
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-mga (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Depends On:
  Show dependency treegraph
Reported: 2005-11-24 05:35 EST by Henri Ala-Peijari
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-04 07:59:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Picture of screen resolution problem. (393.12 KB, image/jpeg)
2005-11-24 05:35 EST, Henri Ala-Peijari
no flags Details
Maby this is what you asked for (33.54 KB, text/plain)
2005-12-28 08:16 EST, Henri Ala-Peijari
no flags Details

  None (edit)
Description Henri Ala-Peijari 2005-11-24 05:35:08 EST
Description of problem:

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Install Fedora Core 5 test 1
2.Boot for 1st time since install
3.Guided setup is impossible because only a quater of screen is visible
4.Second boot also brought this automated config up... 
Actual results:
A quater of the screen is blown up so that I can't continue (ctrl+alt+backspace
to exit) because most of the screen and options are not visible. See url
http://helsinki.LA/IMG_4733.JPG (also attached to this report).

Expected results:
To be able to setup initial system configuration.

Additional info:

I have a matrox millenium 2megabyte PCI videocard. Asus A7N8X-X motherboard with
AMD duron 1,8Ghz processor. 512megabytes RAM. Display is Sony G520 CRT.
Comment 1 Henri Ala-Peijari 2005-11-24 05:35:08 EST
Created attachment 121443 [details]
Picture of screen resolution problem.
Comment 2 Henri Ala-Peijari 2005-11-24 06:56:10 EST
This seems to work ok with my other videocard, is it just time to retire my
Matrox Millenium board at this time?
Comment 3 Chris Lumens 2005-11-30 14:52:47 EST
What are the results if you run /usr/sbin/ddcprobe as root?
Comment 4 Henri Ala-Peijari 2005-11-30 19:13:23 EST
It seems that the firstboot is ok if you just press ctrl+alt+f1 to go to text
mode and then switch back to X with ctrl+alt+f8 (after this everything is
visible as should be). 

I don't know what happened with the command you suggested [/usr/sbin/ddcprobe],
my monitor went out of scan range. My monitor also goes out of scan range
temporarily when the fedora X installing system first boots (I don't think this
happens with the FC4 release version).
Comment 5 Chris Lumens 2005-12-21 14:37:15 EST
Can you please attach /tmp/XConfig.test and /tmp/X.log to this bug report? 
These two files should be written out by firstboot and I don't think they get
cleaned up so they should still be around.
Comment 6 Henri Ala-Peijari 2005-12-28 08:16:19 EST
Created attachment 122612 [details]
Maby this is what you asked for
Comment 7 Henri Ala-Peijari 2005-12-28 08:19:37 EST
Unfortunately I was unable to find the files in /tmp so I attached the only file
that seemed even close in /var/log/
Comment 8 Mike A. Harris 2006-02-02 04:39:48 EST
Try a text mode installation, and then do a system update to the latest
packages with yum.  Once you're fully updated, run:

system-config-display --reconfig

Then examine /etc/X11/xorg.conf and if it is not configured to use the
"mga" driver, change it to that, and try to start X.  Update the report
with the results you obtain, and attach the X server log file from
/var/log, and the config file as individual uncompressed file attachments,
and we'll continue diagnosing the problem.

Thanks in advance.
Comment 9 Henri Ala-Peijari 2006-02-04 01:09:10 EST
I didn't see any of these problems with FC5test2. Would you sitll like to have
this information about test1?
Comment 10 Mike A. Harris 2006-02-04 07:59:04 EST
(In reply to comment #9)
> I didn't see any of these problems with FC5test2. Would you sitll like to have
> this information about test1?

Ah, cool.  Naw, if it's not happening in FC5test2, then that's a good
indication the problem got fixed along the way.  I'll close this as
fixed in "RAWHIDE" for now, but if the problem recurs, please reopen
it and we'll look at it again.

Thanks for the update.

Note You need to log in before you can comment on or make changes to this bug.